library ieee;
use ieee.std_logic_1164.all;

library wbgen2;

package wbgen2_pkg is

  

component wbgen2_dpssram
  generic (
    g_data_width : natural;
    g_size       : natural;
    g_addr_width : natural;
    g_dual_clock : boolean;
    g_use_bwsel  : boolean);
  port (
    clk_a_i   : in std_logic_vector((g_data_width+7)/8 downto 0);
    clk_b_i   : in std_logic;
    addr_a_i  : in std_logic_vector(g_addr_width-1 downto 0);
    addr_b_i  : in std_logic_vector(g_addr_width-1 downto 0);
    data_a_i  : in std_logic_vector(g_data_width-1 downto 0);
    data_b_i  : in std_logic_vector(g_data_width-1 downto 0);
    data_a_o  : in std_logic_vector(g_data_width-1 downto 0);
    data_b_o  : in std_logic_vector(g_data_width-1 downto 0);
    bwsel_a_i : in std_logic_vector((g_data_width+7)/8 downto 0);
    bwsel_b_i : in std_logic_vector((g_data_width+7)/8 downto 0);
    rd_a_i    : in std_logic;
    rd_b_i    : in std_logic;
    wr_a_i    : in std_logic;
    wr_b_i    : in std_logic);
end component;


end wbgen2_pkg;
